Subject: Re: [PATCH] [-MM, FIX] ixgbe: incorporate napi_struct changes from net-2.6.24.git

From: "Kok, Auke" <[email-masked]>
Date: Wed, 12 Sep 2007 16:29:40 -0700

Andrew Morton wrote:
> On Wed, 12 Sep 2007 15:20:01 -0700
> "Kok, Auke" <[email-masked]> wrote:
> 
>> Andrew Morton wrote:
>>> On Wed, 12 Sep 2007 11:13:07 -0700
>>> Auke Kok <[email-masked]> wrote:
>>>
>>>> This incorporates the new napi_struct changes into ixgbe.
>>> I get a reject storm.
>>>
>>>> --- a/drivers/net/ixgbe/ixgbe_main.c
>>>> +++ b/drivers/net/ixgbe/ixgbe_main.c
>>>> @@ -557,14 +557,15 @@ static irqreturn_t ixgbe_msix_clean_rx(int irq, void *data)
>>>>  	struct ixgbe_adapter *adapter = rxr->adapter;
>>>>  
>>>>  	IXGBE_WRITE_REG(&adapter->hw, IXGBE_EIMC, rxr->eims_value);
>>>> -	netif_rx_schedule(adapter->netdev);
>>>> +	netif_rx_schedule(adapter->netdev, &adapter->napi);
>>>>  	return IRQ_HANDLED;
>>>>  }
>>>>  
>>> For example, my copy of ixgbe_msix_clean_rx(), from
>>> git://lost.foo-projects.org/~aveerani/git/linux-2.6#ixgbe is:
>> please drop that tree, and get the one I posted last week instead:
>>
>> git://lost.foo-projects.org/~ahkok/linux-2.6 ixgbe-20070905-submission
> 
> I think I just ignored that branch.  It looks like some frozen-week-old
> snapshot, whereas I like to get the latest tip-of-tree.

I usually don't update the branches on that machine all that often, the machine 
is horribly slow and a git-checkout of a new branch takes 5 minutes. However, it 
*is* the very latest version of ixgbe and the one I intend to get Jeff to merge ;).

If you want to automatically pull all the changes I make for all the drivers, I 
would probably prefer going to a git.kernel.org tree instead, which is something 
I have been contemplating already, and I might just do so

in any case, you do want to drop the ~aveerani/git/linux-2.6#ixgbe branch, which 
is quite a bit older than that.

Auke